Index: language.cpp
===================================================================
--- language.cpp	(revision 681)
+++ language.cpp	(arbetskopia)
@@ -26,6 +26,9 @@
 #ifdef LANG_NL
 #include "translator_nl.h"
 #endif
+#ifdef LANG_SV
+#include "translator_sv.h"
+#endif
 #ifdef LANG_SE
 #include "translator_se.h"
 #endif
@@ -169,12 +172,18 @@
     theTranslator=new TranslatorDutch;
   }
 #endif
-#ifdef LANG_SE
+#ifdef LANG_SV
   else if (L_EQUAL("swedish"))
   {
     theTranslator=new TranslatorDecoder(new TranslatorSwedish);
   }
 #endif
+#ifdef LANG_SE
+  else if (L_EQUAL("northernsami"))
+  {
+    theTranslator=new TranslatorDecoder(new TranslatorNorthernSami);
+  }
+#endif
 #ifdef LANG_CZ
   else if (L_EQUAL("czech"))
   {
Index: libdoxygen.pro.in
===================================================================
--- libdoxygen.pro.in	(revision 681)
+++ libdoxygen.pro.in	(arbetskopia)
@@ -135,6 +135,7 @@
 		translator_si.h \
 		translator_sk.h \
 		translator_sr.h \
+		translator_sv.h \
 		translator_tw.h \
 		translator_ua.h \
 		translator_vi.h \
